Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1386167 - 1.1.8 was a breaking change and an epoch bumped 1.1.7 build is required
Summary: 1.1.8 was a breaking change and an epoch bumped 1.1.7 build is required
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: php-google-apiclient
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 10:28 UTC by James Hogarth
Modified: 2018-04-11 07:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-21 16:12:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1386152 0 unspecified CLOSED v2 release 2022-05-16 11:32:56 UTC

Internal Links: 1386152

Description James Hogarth 2016-10-18 10:28:53 UTC
After a little research it appears that 1.1.8 was a release that was a bit extreme in the tagging.

Here is the change:

https://github.com/google/google-api-php-client/blob/v1.1.8/src/Google/Service/Drive.php

https://github.com/google/google-api-php-client/blob/1.1.7/src/Google/Service/Drive.php

Quite the major change for a changelog of:
"fixes branch alias for dev v1-master"

It switched the api used from v2 to v3 and is a breaking change for any application that depended on it. This breaks owncloud (and will break nextcloud).

We should build the last working 1.1.X release (1.1.7) with a bumped epoch and then create a separate v2 package (see bz1386152) for any application that requires the v3 API.

Comment 1 James Hogarth 2016-10-18 10:43:45 UTC
Note that this will have broken moodle as well ... that uses the v2 API as it uses the 1.1.7 version of the php libraries.

https://github.com/moodle/moodle/tree/MOODLE_31_STABLE/lib/google

Comment 2 Fedora Update System 2016-10-19 18:16:49 UTC
php-google-apiclient-1.1.7-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a3fff824c2

Comment 3 Fedora Update System 2016-10-19 18:55:47 UTC
php-google-apiclient-1.1.7-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e2175f09f

Comment 4 Fedora Update System 2016-10-19 19:56:19 UTC
php-google-apiclient-1.1.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3fff27c1f1

Comment 5 Fedora Update System 2016-10-20 09:27:26 UTC
php-google-apiclient-1.1.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fed1e291a2

Comment 6 Fedora Update System 2016-10-21 16:50:32 UTC
php-google-apiclient-1.1.7-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bbafc72940

Comment 7 Fedora Update System 2016-10-24 20:23:25 UTC
php-google-apiclient-1.1.7-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-10-24 23:50:51 UTC
php-google-apiclient-1.1.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-10-25 04:27:46 UTC
php-google-apiclient-1.1.7-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-11-04 18:47:07 UTC
php-google-apiclient-1.1.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-06 03:19:17 UTC
php-google-apiclient-1.1.7-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.